<?
if ($level < 3) {
 // echo 'Временно не работает покупка.';
 // exit;
}
if (isset($_POST['shp_goods'])) {
  $ID = (int) $_POST['shp_goods'];
}

if (isset($ID)) {
  $goods = $sql -> fetch("SELECT * FROM `shop_goods` WHERE `id` = '$ID' AND `unlink` = '0' LIMIT 1");
}

if (!isset($goods['id'])){
  die(__('К сожалению товар не найден либо он был удален'));
}

if ($level > 0) {
  if ($sql -> selectCount("SELECT COUNT(*) FROM `shop_pays` WHERE `id_user` = '$user[id]' AND `id_goods` = '$goods[id]'") == 0) {
    $sql -> insert("INSERT INTO `shop_pays` (`id_goods`, `id_user`, `time`, `name`, `id_author`) VALUES ('$goods[id]', '$user[id]', '$time', '$goods[name]', '$goods[id_user]')");
  }
  $pays = $sql -> fetch("SELECT * FROM `shop_pays` WHERE `id_user` = '$user[id]' AND `id_goods` = '$goods[id]' LIMIT 1");
  
  // Вычисление общей суммы покупок у продавца
  $buy = $sql -> fetch("SELECT SUM(wmr) AS wmr FROM `shop_pays` WHERE `id_user` = '$user[id]' AND `id_author` = '$goods[id_user]' AND `pays` = '1' LIMIT 1");
}


/**
* @var  robokassa
*/

if (isset($_POST['InvId'])) {
  
  // Вычисление общей суммы покупок у продавца
  $buy = $sql -> fetch("SELECT SUM(wmr) AS wmr FROM `shop_pays` WHERE `id_user` = '" . (int) $_POST['shp_user'] . "' AND `id_author` = '$goods[id_user]' AND `pays` = '1' LIMIT 1");
  
  // Счет
  $pays = $sql -> fetch("SELECT * FROM `shop_pays` WHERE `id` = '" . intval($_POST['InvId']) . "' LIMIT 1");
  
  // Вычисление конечной стоимости товара
  if ($goods['wmr_pr'] > 0 && $goods['wmr_pay'] > 0 && (int) $buy['wmr'] >= $goods['wmr_pay']) {
    $goods['wmr'] = round($goods['wmr'] - ($goods['wmr'] / 100 * $goods['wmr_pr']), 2);
  }
  
  // Result
  $robox_r1 = strtoupper($_POST['SignatureValue']);
  $robox_r2  = strtoupper(md5($_POST['OutSum'] .':'. $_POST['InvId'] .':'. $system['robox_password2'] .':shp_goods='. $goods['id'] .':shp_user='. $pays['id_user']));
  
  // Success
  $robox_s1 = strtoupper($_POST['SignatureValue']);
  $robox_s2  = strtoupper(md5($_POST['OutSum'] .':'. $_POST['InvId'] .':'. $system['robox_password1'] .':shp_goods='. $goods['id'] .':shp_user='. $pays['id_user']));
  
  /**
  * При успешной операции выполняем запись покупки result
  */
  if ($robox_r1 == $robox_r2)
  {
    
    $id_user = intval($_POST['shp_user']);
    
    journal($goods['id_user'], 'goods', "Ваш товар [url=/goods/" . $pays['id_goods'] . "]" . $goods['name'] . "[/url]  был продан в " . vremja($time) . "\rПокупатель [url=/?func=user.profile&id=" . $id_user . "]" . login($id_user, 0) . "[/url]\rПлатежные реквизиты: ROBOKASSA-" . $_POST['PaymentMethod']);
    
	/*sms оповещение*/
$TelSms = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '" . $goods['id_user'] . "' AND `date_last` < '". time() ."' LIMIT 1");
if ($TelSms['MyTelefonOk'] == 1 && $TelSms['tel_pays']== 1 && $TelSms['date_last'] < time()-600 && $TelSms['wmr'] >= 1 && $goods['wmr'] < 200)
{

    if ($sql -> select("SELECT * FROM `smsantiflud` WHERE `id_user` = '".$TelSms['id']."' AND `mod` = 'pay'") == 0)
    {
    include_once FUNC.'smsc_api.php';
    $r = send_sms($TelSms['MyTelefon'], "У Вас новая продажа товара 4i4i.Ru");

    if ($r[1] > 0)
        {
					
        $sql -> update("UPDATE `users` SET `wmr` = `wmr` - '1' WHERE `id` = '".$TelSms['id']."' LIMIT 1");
		$BySMS = "Списание за смс оповещение о продажи товара на мобильный телефон.";
        $sql -> insert("INSERT INTO `billing_log` (`time`, `type`, `id_user`, `coins`, `msg`) VALUES ('".time()."', 'Mysms', '$TelSms[id]', '-1', '$BySMS')");
		$sql -> insert("INSERT INTO `smsantiflud`(`time`, `id_user`, `mod`) VALUES('".time()."', '".$TelSms['id']."', 'pay')");
        }
    }
}

if ($TelSms['MyTelefonOk'] == 1 && $TelSms['tel_pays']== 1 && $TelSms['date_last'] < time()-600 && $goods['wmr'] >= 200)
{

    if ($sql -> select("SELECT * FROM `smsantiflud` WHERE `id_user` = '".$TelSms['id']."' AND `mod` = 'pay'") == 0)
    {
    include_once FUNC.'smsc_api.php';
    $r = send_sms($TelSms['MyTelefon'], "У Вас новая продажа товара 4i4i.Ru");

    if ($r[1] > 0)
        {
					
	$sql -> insert("INSERT INTO `smsantiflud`(`time`, `id_user`, `mod`) VALUES('".time()."', '".$TelSms['id']."', 'pay')");
        }
    }
}

/*sms оповещение*/
	
	
  	if (function_exists('mail')) {
      $email = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '" . $goods['id_user'] . "' AND `date_last` < '". time() ."' LIMIT 1");
      if ($email['em_pays'] == 1) {
	  		// в этом массиве то, что попадет в наш HTML шаблон письма
    $array = array('hello' => 'Здравствуйте ' . $email['login'], // {hello} . Приветствие  
	'message' => 'Ваш товар '. $goods['name'] .'</a> был продан в <b>' . vremja($time) . '</b>.<br />
	Покупатель ' . login($id_user, 0) . '<br />Платежные реквизиты: ROBOKASSA-' . $_POST['PaymentMethod'] . '

			', // обязательно текст письма, но само завизит от того что в шаблоне указано. у меня {message}
	'linkbutton' => 'http://' . $_SERVER['HTTP_HOST'] . '/goods/' . $goods['id'] . '', // у меня в шаблоне кнопка, это ссылка в ней {linkbutton}
	'textbutton' => ''.$goods['name'].'' // а это название моей кнопки {textbutton}
    );

        $Subject = 'Ваш товар продан';  // обязательно заголовок письма
        $addAdress = $email['email']; // сверх важно!! кому письмо
        $template = 'default'; // название шаблона и папки в которой он лежит. Если у вас свой шаблон, напишите название воего 


        // пробуем выслать наше письмо
        $OutMailer = Mailer($array, $Subject, $addAdress, $template);

        if ($OutMailer === false)
        {
		
        }
else  echo $OutMailer; // если есть ошибки, их покажет
}
	  
	  
	  
	  /*
    		$subject = 'Ваш товар продан';
    		$mailmsg = "Ваш товар <a href='http://" . urlencode($_SERVER['SERVER_NAME']) . "/goods/" . $goods['id'] . "'>" . $goods['name'] . "</a> был продан в <b>" . vremja($time) . "</b>.<br />
        Покупатель <a href='http://" . urlencode($_SERVER['SERVER_NAME']) . "/?func=user.profile&id=" . $id_user . "'>" . login($id_user, 0) . "</a><br />Платежные реквизиты: ROBOKASSA-" . $_POST['PaymentMethod'] . "<br />С уважением администрация <a href='http://" . urlencode($_SERVER['SERVER_NAME']) . "'>" . text($_SERVER['SERVER_NAME']) . "</a>!";
        
    		$adds = "From: \"support@$_SERVER[HTTP_HOST]\" <support@$_SERVER[HTTP_HOST]>\n";
    		$adds .= "Content-Type: text/html; charset=utf-8\n";
    		mail($email['email'], '=?utf-8?B?' . base64_encode($subject).'?=', $mailmsg, $adds);		      
      }
     */
     
/*
if ($email['icq_mod'] == 1) {
if($email['icq']!=NULL){
require FUNC . 'WebIcqLite.class.php';
define('UIN', Номер аськи);
define('PASSWORD', 'Password от аськи');

$icq = new WebIcqLite();

if($icq->connect(UIN, PASSWORD)){
$bro= 'Система оповещений 4i4i.Ru: 
Ваш товар ' . $goods['name'] . ' продан. Покупатель: ' . login($id_user, 0) . '
Платежные реквизиты: ROBOKASSA-' . $_POST['PaymentMethod'] . ' ';
$bro = iconv('UTF-8', 'CP1251', ' '.$bro.' ');
if(!$icq->send_message(''.$email['icq'].'',' '.$bro.' '))
{
//echo $icq->error;
}
}
}
}
*/

  	}
    
    if ($system['j_paysgoods'] == 1) {
      admin_journal($id_user, 'goods', " купил".($user['pol']==0?'a':null)." товар [url=/goods/" . $goods['id'] . "]" . $goods['name'] . "[/url]\rПлатежные реквизиты: ROBOKASSA-" . $_POST['PaymentMethod']);
    }
    
    // Логи биллинга
    $msglog = "Оплата товара [url=/goods/" . $pays['id_goods'] . "]" . $goods['name'] . "[/url]\rПлатежные реквизиты: ROBOKASSA-" . $_POST['PaymentMethod'];
    
    $sql -> insert("INSERT INTO `billing_log` (`wmid`, `purse`, `time`, `type`, `id_user`, `coins`, `msg`) VALUES ('000000000000', 'ROBOKASSA', '$time', 'goods', '$id_user', '-" . $goods['wmr'] . "', '$msglog')");
    
    // Обновление информации счета
    $sql -> update("UPDATE `shop_pays` SET `pays` = '1', `time_pays` = '$time', `wmr` = '$goods[wmr]', `wmid` = '000000000000', `purse` = 'ROBOKASSA' WHERE `id` = '$pays[id]' LIMIT 1");
    
    // Обновление информации о товаре
    $sql -> update("UPDATE `shop_goods` SET `time_pays` = '$time', `count_pays` = `count_pays` + '1', `rating` = `rating` + '1' WHERE `id` = '$goods[id]' LIMIT 1");
    $sql -> update("UPDATE `users` SET `rating` = `rating` + '1' WHERE `id` = '$goods[id_user]' LIMIT 1");
    
    echo 'OK' . $pays['id'];
    exit;
  } 
  
  /**
  * Если купили то перекидываем на валидный адрес 
  * страницы успешной оплаты success
  */
  elseif ($robox_s1 == $robox_s2) {
     header('Location: /?func=' . $func . '&id=' . $ID . '&success');
     exit;
  }
  
  /**
  * Если оплата не прошла, то на страницу ошибки fail
  */
  else {
     header('Location: /?func=' . $func . '&id=' . $ID . '&fail');
     exit;
  }
}


if (isset($_POST['LMI_PREREQUEST'])) {
  
  $pays = $sql -> fetch("SELECT * FROM `shop_pays` WHERE `id` = '" . intval($_POST['LMI_PAYMENT_NO']) . "' LIMIT 1");

  // Вычисление общей суммы покупок у продавца
  $buy = $sql -> fetch("SELECT SUM(wmr) AS wmr FROM `shop_pays` WHERE `id_user` = '" . $_POST['id_user'] . "' AND `id_author` = '$goods[id_user]' AND `pays` = '1' LIMIT 1");
  
  // Вычисление конечной стоимости товара
  if ($goods['wmr_pr'] > 0 && $goods['wmr_pay'] > 0 && (int) $buy['wmr'] >= $goods['wmr_pay']) {
    $goods['wmr'] = round($goods['wmr'] - ($goods['wmr'] / 100 * $goods['wmr_pr']), 2);
  }
  
  if (trim($_POST['LMI_PAYEE_PURSE']) != $system['wmpurse']) {
    die(__('Ошибка(1): Неверный кошелек получателя системы'));
  } elseif ($sql -> selectCount("SELECT COUNT(*) FROM `shop_pays` WHERE `id` = '" . intval($_POST['LMI_PAYMENT_NO']) . "'") == 0) {
    die(__('Ошибка(2): Номер счета не найден'));
  } elseif (trim($_POST['LMI_PAYMENT_AMOUNT']) == null || round($_POST['LMI_PAYMENT_AMOUNT'], 2) < $goods['wmr']) {
    die(__('Ошибка(3): Не указанна сумма перевода, либо она менее') . ' ' . $goods['wmr'] . ' wmr.');
  } elseif ($pays['pays'] != '0') {
    die(__('Ошибка(4): Cчет уже оплачен ранее'));
  } elseif ($pays['id_user'] != $_POST['id_user']) {
    die(__('Ошибка(5): Номер выписанного счета, не принадлежит вам'));
  } elseif ($goods['copies'] <= $goods['count_pays'] && $goods['copies'] != 0){
    die(__('Ошибка(6): К сожалению все копии проданы'));
  } elseif ($goods['wmr'] != trim($_POST['LMI_PAYMENT_AMOUNT'])) {
    die(__('Ошибка(7): Сумма платежа не равна стоимости товара'));
  } else {
    die('YES');
  }
  exit;
} elseif (isset($_POST['LMI_HASH'])) {
  
  // Вычисление общей суммы покупок у продавца
  $buy = $sql -> fetch("SELECT SUM(wmr) AS wmr FROM `shop_pays` WHERE `id_user` = '" . (int) $_POST['id_user'] . "' AND `id_author` = '$goods[id_user]' AND `pays` = '1' LIMIT 1");
  
  // Счет
  $pays = $sql -> fetch("SELECT * FROM `shop_pays` WHERE `id` = '" . intval($_POST['LMI_PAYMENT_NO']) . "' LIMIT 1");
  
  // Вычисление конечной стоимости товара
  if ($goods['wmr_pr'] > 0 && $goods['wmr_pay'] > 0 && (int) $buy['wmr'] >= $goods['wmr_pay']) {
    $goods['wmr'] = round($goods['wmr'] - ($goods['wmr'] / 100 * $goods['wmr_pr']), 2);
  }

  $common_string = $_POST['LMI_PAYEE_PURSE'].$_POST['LMI_PAYMENT_AMOUNT'].$_POST['LMI_PAYMENT_NO'].$_POST['LMI_MODE'].$_POST['LMI_SYS_INVS_NO'].$_POST['LMI_SYS_TRANS_NO'].$_POST['LMI_SYS_TRANS_DATE'].$system['secret_key'].$_POST['LMI_PAYER_PURSE'].$_POST['LMI_PAYER_WM'];
  
  $hash = strtoupper(hash('sha256', $common_string));
  
  if ($hash != $_POST['LMI_HASH']) {
    die(__('Ошибка доступа'));
  }
  
  $id_user = intval($_POST['id_user']);
  $purse = $_POST['LMI_PAYER_PURSE'];
  $wmid = abs($_POST['LMI_PAYER_WM']);
  
  journal($goods['id_user'], 'goods', "Ваш товар [url=/goods/" . $pays['id_goods'] . "]" . $goods['name'] . "[/url]  был продан в " . vremja($time) . "\rПокупатель [url=/?func=user.profile&id=" . $id_user . "]" . login($id_user, 0) . "[/url]\rПлатежные реквизиты: WMID " . $wmid . ", WM кошелек " . $purse);
  
  /*sms оповещение*/
$TelSms = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '" . $goods['id_user'] . "' AND `date_last` < '". time() ."' LIMIT 1");
if ($TelSms['MyTelefonOk'] == 1 && $TelSms['tel_pays']== 1 && $TelSms['date_last'] < time()-600 && $TelSms['wmr'] >= 1 && $goods['wmr'] < 200)
{

    if ($sql -> select("SELECT * FROM `smsantiflud` WHERE `id_user` = '".$TelSms['id']."' AND `mod` = 'pay'") == 0)
    {
    include_once FUNC.'smsc_api.php';
    $r = send_sms($TelSms['MyTelefon'], "У Вас новая продажа товара 4i4i.Ru");

    if ($r[1] > 0)
        {
					
        $sql -> update("UPDATE `users` SET `wmr` = `wmr` - '1' WHERE `id` = '".$TelSms['id']."' LIMIT 1");
		$BySMS = "Списание за смс оповещение о продажи товара на мобильный телефон.";
        $sql -> insert("INSERT INTO `billing_log` (`time`, `type`, `id_user`, `coins`, `msg`) VALUES ('".time()."', 'Mysms', '$TelSms[id]', '-1', '$BySMS')");
		$sql -> insert("INSERT INTO `smsantiflud`(`time`, `id_user`, `mod`) VALUES('".time()."', '".$TelSms['id']."', 'pay')");
        }
    }
}

if ($TelSms['MyTelefonOk'] == 1 && $TelSms['tel_pays']== 1 && $TelSms['date_last'] < time()-600 && $goods['wmr'] >= 200)
{

    if ($sql -> select("SELECT * FROM `smsantiflud` WHERE `id_user` = '".$TelSms['id']."' AND `mod` = 'pay'") == 0)
    {
    include_once FUNC.'smsc_api.php';
    $r = send_sms($TelSms['MyTelefon'], "У Вас новая продажа товара 4i4i.Ru");

    if ($r[1] > 0)
        {
					
	$sql -> insert("INSERT INTO `smsantiflud`(`time`, `id_user`, `mod`) VALUES('".time()."', '".$TelSms['id']."', 'pay')");
        }
    }
}

/*sms оповещение*/
  
  
	if (function_exists('mail')) {
        $email = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '" . $goods['id_user'] . "' AND `date_last` < '". time() ."' LIMIT 1");
        if ($email['em_pays'] == 1) {
		
		// в этом массиве то, что попадет в наш HTML шаблон письма
    $array = array('hello' => 'Здравствуйте ' . $email['login'], // {hello} . Приветствие  
	'message' => 'Ваш товар '. $goods['name'] .'</a> был продан в <b>' . vremja($time) . '</b>.<br />
	Покупатель ' . login($id_user, 0) . '<br />
	Платежные реквизиты: WMID ' . $wmid . ', WM кошелек ' . $purse . '

			', // обязательно текст письма, но само завизит от того что в шаблоне указано. у меня {message}
	'linkbutton' => 'http://' . $_SERVER['HTTP_HOST'] . '/goods/' . $goods['id'] . '', // у меня в шаблоне кнопка, это ссылка в ней {linkbutton}
	'textbutton' => ''.$goods['name'].'' // а это название моей кнопки {textbutton}
    );

        $Subject = 'Ваш товар продан';  // обязательно заголовок письма
        $addAdress = $email['email']; // сверх важно!! кому письмо
        $template = 'default'; // название шаблона и папки в которой он лежит. Если у вас свой шаблон, напишите название воего 


        // пробуем выслать наше письмо
        $OutMailer = Mailer($array, $Subject, $addAdress, $template);

        if ($OutMailer === false)
        {
		
        }
else  echo $OutMailer; // если есть ошибки, их покажет
}
		
		/*
      		$subject = 'Ваш товар продан';
      		$mailmsg = "Ваш товар <a href='http://" . urlencode($_SERVER['SERVER_NAME']) . "/goods/" . $goods['id'] . "'>" . $goods['name'] . "</a> был продан в <b>" . vremja($time) . "</b>.<br />
          Покупатель <a href='http://" . urlencode($_SERVER['SERVER_NAME']) . "/?func=user.profile&id=" . $id_user . "'>" . login($id_user, 0) . "</a><br />Платежные реквизиты: WMID " . $wmid . ", WM кошелек " . $purse . "<br />С уважением администрация <a href='http://" . urlencode($_SERVER['SERVER_NAME']) . "'>" . text($_SERVER['SERVER_NAME']) . "</a>!";
          
      		$adds = "From: \"support@$_SERVER[HTTP_HOST]\" <support@$_SERVER[HTTP_HOST]>\n";
      		$adds .= "Content-Type: text/html; charset=utf-8\n";
      		mail($email['email'], '=?utf-8?B?' . base64_encode($subject).'?=', $mailmsg, $adds);		      
        }
		*/
		
		
/*		
if ($email['icq_mod'] == 1) {
if($email['icq']!=NULL){
require FUNC . 'WebIcqLite.class.php';
define('UIN', Номер аськи);
define('PASSWORD', 'Password от аськи');
$icq = new WebIcqLite();

if($icq->connect(UIN, PASSWORD)){
$bro= 'Система оповещений 4i4i.Ru: 
Ваш товар ' . $goods['name'] . ' продан. Покупатель: ' . login($id_user, 0) . '
Платежные реквизиты: WMID ' . $wmid . ', WM кошелек ' . $purse . ' ';
$bro = iconv('UTF-8', 'CP1251', ' '.$bro.' ');
if(!$icq->send_message(''.$email['icq'].'',' '.$bro.' '))
{
//echo $icq->error;
}
}
}
}
*/


	}
  
  if ($system['j_paysgoods'] == 1) {
    admin_journal($id_user, 'goods', " купил".($user['pol']==0?'a':null)." товар [url=/goods/" . $goods['id'] . "]" . $goods['name'] . "[/url]\rПлатежные реквизиты: WMID " . $wmid . ", WM кошелек " . $purse);
  }
  
  // Логи биллинга
  $msglog = "Оплата товара [url=/goods/" . $pays['id_goods'] . "]" . $goods['name'] . "[/url]\rПлатежные реквизиты: WMID " . $wmid . ", WM кошелек " . $purse;
  
  $sql -> insert("INSERT INTO `billing_log` (`wmid`, `purse`, `time`, `type`, `id_user`, `coins`, `msg`) VALUES ('$wmid', '" . $sql->esc($purse) . "', '$time', 'goods', '$id_user', '-" . $goods['wmr'] . "', '$msglog')");
  
  // Обновление информации счета
  $sql -> update("UPDATE `shop_pays` SET `pays` = '1', `time_pays` = '$time', `wmr` = '$goods[wmr]', `wmid` = '$wmid', `purse` = '" . $sql->esc($purse) . "' WHERE `id` = '$pays[id]' LIMIT 1");
  
  // Обновление информации о товаре
  $sql -> update("UPDATE `shop_goods` SET `time_pays` = '$time', `count_pays` = `count_pays` + '1', `rating` = `rating` + '1' WHERE `id` = '$goods[id]' LIMIT 1");
  $sql -> update("UPDATE `users` SET `rating` = `rating` + '1' WHERE `id` = '$goods[id_user]' LIMIT 1");
  exit;
}

// Вычисление конечной стоимости товара
if ($level > 0 && $goods['wmr_pr'] > 0 && $goods['wmr_pay'] > 0 && (int) $buy['wmr'] >= $goods['wmr_pay']) {
  $discount = round($goods['wmr'] / 100 * $goods['wmr_pr'], 2);
  $goods['wmr'] = round($goods['wmr'] - ($goods['wmr'] / 100 * $goods['wmr_pr']), 2);
}


/**
* @var ROBOKASSA
*/

if (isset($system['robox_login']) && $system['robox_login'] && $level > 0) {
  $robox_sign  = md5($system['robox_login'] . ':' . $goods['wmr'] . ':' . $pays['id'] . ':' . $system['robox_password1'] . ':shp_goods=' . $goods['id'] . ':shp_user=' . $user['id']);
}
// Оплата с внутреннего счета
if (isset($_GET['sid']) && isset($_SESSION['sid']) && isset($_GET['pays']) && $_GET['pays'] == 'balans' && $_SESSION['sid'] == $_GET['sid']) {
  if ($level > 0 && $pays['id_user'] == $user['id']) {
    if ($user['wmr'] >= $goods['wmr']) {
      
	  /*sms оповещение*/
$TelSms = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '" . $goods['id_user'] . "' AND `date_last` < '". time() ."' LIMIT 1");
if ($TelSms['MyTelefonOk'] == 1 && $TelSms['tel_pays']== 1 && $TelSms['date_last'] < time()-600 && $TelSms['wmr'] >= 1 && $goods['wmr'] < 200)
{

    if ($sql -> select("SELECT * FROM `smsantiflud` WHERE `id_user` = '".$TelSms['id']."' AND `mod` = 'pay'") == 0)
    {
    include_once FUNC.'smsc_api.php';
    $r = send_sms($TelSms['MyTelefon'], "У Вас новая продажа товара 4i4i.Ru");

    if ($r[1] > 0)
        {
					
        $sql -> update("UPDATE `users` SET `wmr` = `wmr` - '1' WHERE `id` = '".$TelSms['id']."' LIMIT 1");
		$BySMS = "Списание за смс оповещение о продажи товара на мобильный телефон.";
        $sql -> insert("INSERT INTO `billing_log` (`time`, `type`, `id_user`, `coins`, `msg`) VALUES ('".time()."', 'Mysms', '$TelSms[id]', '-1', '$BySMS')");
		$sql -> insert("INSERT INTO `smsantiflud`(`time`, `id_user`, `mod`) VALUES('".time()."', '".$TelSms['id']."', 'pay')");
        }
    }
}

if ($TelSms['MyTelefonOk'] == 1 && $TelSms['tel_pays']== 1 && $TelSms['date_last'] < time()-600 && $goods['wmr'] >= 200)
{

    if ($sql -> select("SELECT * FROM `smsantiflud` WHERE `id_user` = '".$TelSms['id']."' AND `mod` = 'pay'") == 0)
    {
    include_once FUNC.'smsc_api.php';
    $r = send_sms($TelSms['MyTelefon'], "У Вас новая продажа товара 4i4i.Ru");

    if ($r[1] > 0)
        {
					
	$sql -> insert("INSERT INTO `smsantiflud`(`time`, `id_user`, `mod`) VALUES('".time()."', '".$TelSms['id']."', 'pay')");
        }
    }
}

/*sms оповещение*/
	  
    	if (function_exists('mail')) {
            $email = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '" . $goods['id_user'] . "' AND `date_last` < '". time() ."' LIMIT 1");
            if ($email['em_pays'] == 1) {
					// в этом массиве то, что попадет в наш HTML шаблон письма
    $array = array('hello' => 'Здравствуйте ' . $email['login'], // {hello} . Приветствие  
	'message' => 'Ваш товар '. $goods['name'] .'</a> был продан в <b>' . vremja($time) . '</b>.<br />
	Покупатель ' . login($user, 0) . '<br />
	Платежные реквизиты: <b>Внутренний счет Магазина</b>

			', // обязательно текст письма, но само завизит от того что в шаблоне указано. у меня {message}
	'linkbutton' => 'http://' . $_SERVER['HTTP_HOST'] . '/goods/' . $goods['id'] . '', // у меня в шаблоне кнопка, это ссылка в ней {linkbutton}
	'textbutton' => ''.$goods['name'].'' // а это название моей кнопки {textbutton}
    );

        $Subject = 'Ваш товар продан';  // обязательно заголовок письма
        $addAdress = $email['email']; // сверх важно!! кому письмо
        $template = 'default'; // название шаблона и папки в которой он лежит. Если у вас свой шаблон, напишите название воего 


        // пробуем выслать наше письмо
        $OutMailer = Mailer($array, $Subject, $addAdress, $template);

        if ($OutMailer === false)
        {
		
        }
else  echo $OutMailer; // если есть ошибки, их покажет
}
			
			
			/*
          		$subject = 'Ваш товар продан';
          		$mailmsg = "Ваш товар <a href='http://" . urlencode($_SERVER['SERVER_NAME']) . "/goods/" . $goods['id'] . "'>" . $goods['name'] . "</a> был продан в <b>" . vremja($time) . "</b>.<br />
              Покупатель <a href='http://" . urlencode($_SERVER['SERVER_NAME']) . "/?func=user.profile&id=" . $user['id'] . "'>" . login($user['id'], 0) . "</a><br />Платежные реквизиты: <b>Внутренний счет</b><br />С уважением администрация <a href='http://" . urlencode($_SERVER['SERVER_NAME']) . "'>" . text($_SERVER['SERVER_NAME']) . "</a>!";
              
          		$adds = "From: \"support@$_SERVER[HTTP_HOST]\" <support@$_SERVER[HTTP_HOST]>\n";
          		$adds .= "Content-Type: text/html; charset=utf-8\n";
          		mail($email['email'], '=?utf-8?B?' . base64_encode($subject).'?=', $mailmsg, $adds);		      
            }
			*/
			
/*
     if ($email['icq_mod'] == 1) {

    if($email['icq']!=NULL){
    require FUNC . 'WebIcqLite.class.php';

define('UIN', Номер аськи);
define('PASSWORD', 'Password от аськи');

    $icq = new WebIcqLite();

    if($icq->connect(UIN, PASSWORD)){

$bro= 'Система оповещений 4i4i.Ru: 
Ваш товар ' . $goods['name'] . ' продан. Покупатель: ' . login($user, 0) . '
Платежные реквизиты: Личный счет в Магазине. ';
$bro = iconv('UTF-8', 'CP1251', ' '.$bro.' ');
        if(!$icq->send_message(''.$email['icq'].'',' '.$bro.' '))
{

    //echo $icq->error;

    }}}}
*/
    	}
      
      journal($goods['id_user'], 'goods', "Ваш товар [url=/goods/" . $pays['id_goods'] . "]" . $goods['name'] . "[/url] был продан в " . vremja($time) . "\rПокупатель [url=/index.php?func=user.profile&id=" . $user['id'] . "]" . login($user['id'], 0) . "[/url]\rПлатежные реквизиты: Внутренний баланс");
      
      if ($system['j_paysgoods'] == 1) {
        admin_journal($user['id'], 'goods', " купил(а) товар [url=/goods/" . $goods['id'] . "]" . $goods['name'] . "[/url]\rПлатежные реквизиты:  Внутренний баланс");
      }
      
      $msglog = "Оплата товара [url=/goods/" . $pays['id_goods'] . "]" . $goods['name'] . "[/url]\rПлатежные реквизиты: Внутренний баланс";
  
      $sql -> insert("INSERT INTO `billing_log` (`wmid`, `purse`, `time`, `type`, `id_user`, `coins`, `msg`) VALUES ('', '', '$time', 'goods', '$user[id]', '-" . $goods['wmr'] . "', '$msglog')");
      
      // Обновление информации счета
      $sql -> update("UPDATE `shop_pays` SET `pays` = '1', `time_pays` = '$time', `wmr` = '$goods[wmr]' WHERE `id` = '$pays[id]' LIMIT 1");
      
      // Cписание средств
      $sql -> update("UPDATE `users` SET `wmr` = `wmr` - '$goods[wmr]' WHERE `id` = '$user[id]' LIMIT 1");
      
      // Обновление информации о товаре
      $sql -> update("UPDATE `shop_goods` SET `time_pays` = '$time', `count_pays` = `count_pays` + '1', `rating` = `rating` + '1' WHERE `id` = '$goods[id]' LIMIT 1");
      $sql -> update("UPDATE `users` SET `rating` = `rating` + '1' WHERE `id` = '$goods[id_user]' LIMIT 1");
      
      $_SESSION['message'] = __('Счет успешно оплачен');
      header('Location: ?func=' . $func . '&id=' . $goods['id'] . '&success');
      exit;
    }
  }
}

// Защита от подстановки ссылок
$_SESSION['sid'] = mt_rand(1111, 9999);
$sid = $_SESSION['sid'];

$system['title'] = __('Страница оплаты товара') . ' - ' . text($goods['name']);
require SYS . 'header.php';

if ($level > 0 && $pays['pays'] == 1) {
?>
  <div class="alert alert-success" style="margin: 2px;">
    <center>
      <img src="<?= ICONS?>big_ok.png" /> <?= __('Товар')?> <?= (isset($_GET['success']) ? __('успешно') : __('уже'))?> <?= __('оплачен')?>!<br /><br />
      <a href="/?func=shop.bought" class="btn"><?= __('Перейти в мои покупки')?></a>
    </center>
  </div>
<?
} elseif ($level > 0 && isset($_GET['fail']) && $pays['pays'] == 0) {
?>
  <div class="alert alert-error" style="margin: 2px;">
    <center>
      <img src="<?= ICONS?>big_err.png" /> <?= __('Платеж по счету не прошел!')?><br /><br />
      <a href="/?func=<?= $func?>&amp;id=<?= $goods['id']?>" class="btn"><?= __('Повторить попытку')?></a>
    </center>
  </div>
<?
} elseif ($goods['active'] == 0) {
?>
  <div class="alert alert-error" style="margin: 2px;">
    <center>
      <img src="<?= ICONS?>big_err.png" /> <?= __('К сожалению товар еще не прошел модерацию!')?><br /><br />
      <a href="/?func=shop.goods&amp;id=<?= $goods['id']?>" class="btn"><?= __('Вернуться к товару')?></a>
    </center>
  </div>
<?
} elseif ($goods['active'] == 2) {
?>
  <div class="alert alert-error" style="margin: 2px;">
    <center>
      <img src="<?= ICONS?>big_err.png" /> <?= __('К сожалению товар заблокирован!')?><br /><br />
      <a href="/?func=shop.goods&amp;id=<?= $goods['id']?>" class="btn"><?= __('Вернуться к товару')?></a>
    </center>
  </div>
<?
} elseif ($goods['copies'] <= $goods['count_pays'] && $goods['copies'] != 0) {
?>
  <div class="alert alert-error" style="margin: 2px;">
    <center>
      <img src="<?= ICONS?>big_err.png" /> <?= __('К сожалению все копии проданы!')?><br /><br />
      <a href="/?func=shop.goods&amp;id=<?= $goods['id']?>" class="btn"><?= __('Вернуться к товару')?></a>
    </center>
  </div>
<?
} elseif ($level > 0) {

  if (isset($discount)) {
  ?>
    <div class="alert alert-info" style="margin: 3px;">
      <b><?= __('Поздравляем!')?></b> <?= __('Вам предоставляется скидка на этот товар в размере')?> <b><?= $discount?> wmr</b> (<?= $goods['wmr_pr']?>%), <?= __('так как вы купили у продавца, товаров на общую сумму свыше')?> <b><?= $goods['wmr_pay']?> wmr</b>!
    </div>
  <?
  }

?>
<div class="nav2">
<table class="table table-bordered" style="margin: 2px;">
  <tr>
    <td>
    <b><?= __('Cчет')?> №<?= $pays['id']?></b>
    </td>
    <td>
    <b><span class="on"><?= text($goods['name'])?></span></b>
    </td>
  </tr>
  
  <? if ($user['wmr'] >= $goods['wmr']) { ?>
  <tr>
   <td style="width: 90px;">&nbsp;&nbsp;&nbsp;&nbsp;<b style="font-size: 30">&gt;&gt;&gt;</td>
    <td>
    <b>:: <?= __('Внутренний баланс')?></b><br /><br />
    
    <?= __('На счету')?>: <b><?= $user['wmr']?> wmr</b><br /><br />
    
    <a href="/?func=<?= $func?>&amp;id=<?= $goods['id']?>&amp;sid=<?= $sid?>&amp;pays=balans" class="btn"><?= __('Оплатить')?> <?= $goods['wmr']?> WMR</a>
    </td>
  </tr>
  <? } else {

	?>
	  <tr>
	   <td style="width: 90px;">&nbsp;&nbsp;&nbsp;&nbsp;<b style="font-size: 30">&gt;&gt;&gt;</td>
		<td>
		<b>:: У вас не хватает средств</b><br /><br />
		
		У вас <?= __('на счету')?>: <b><?= $user['wmr']?>Р</b><br /><br />
		
		<a href="/?func=user.balance" class="btn"><?= __('Пополнить')?> баланс </a>
		</td>
  </tr>	
	<?
  }	  
  ?>
  <!--
  <tr>
   <td style="width: 90px;"><img src="/_images/images/logo_wm.gif" /></td>
    <td>
    <b>:: WebMoney</b><br /><br />
    
    <?= __('Тип операции')?>: <b><?= __('Оплата товара')?></b><br /><br />
    
    <b><?= __('Кошелек')?>:</b><br />
    WMR: <?= $system['wmpurse']?> (<?= __('к оплате')?> <?= $goods['wmr']?> WMR)<br />
    
    <form action="https://merchant.webmoney.ru/lmi/payment.asp" method="POST" style="margin: 2px;">
      <fieldset>
        <input type=hidden name="LMI_PAYMENT_AMOUNT" value="<?= $goods['wmr']?>">
        <input type=hidden name="LMI_PAYMENT_DESC_BASE64" value="<?= base64_encode(__('Оплата товара') . ' | ' . text($goods['name']))?>">
        <input type=hidden name="LMI_PAYEE_PURSE" value="<?= $system['wmpurse']?>">
        <input type=hidden name="LMI_RESULT_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>&amp;id=<?= $goods['id']?>">
        <input type=hidden name="LMI_FAIL_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>&amp;id=<?= $goods['id']?>&amp;fail">
        <input type=hidden name="LMI_SUCCESS_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>&amp;id=<?= $goods['id']?>&amp;success">
        <input type=hidden name="LMI_PAYMENT_NO" value="<?= $pays['id']?>">
        <input type=hidden name="id_goods" value="<?= $goods['id']?>">
        <input type=hidden name="id_user" value="<?= $user['id']?>">
       <button type="submit" class="btn"><?= __('Оплатить')?> <?= $goods['wmr']?> WMR</button>
      </fieldset>
    </form>
    </td>
  </tr>



 <tr>
   <td style="width: 90px;"><img src="/_images/images/visa_wm.gif" /></td>
    <td>
    <b>:: VISA/MasterCard через WebMoney</b><br /><br />
    
    <?= __('Тип операции')?>: <b><?= __('Оплата товара')?></b><br /><br />
    
    <b><?= __('Кошелек')?>:</b><br />
    WMR: <?= $system['wmpurse']?> (<?= __('к оплате')?> <?= $goods['wmr']?> WMR)<br />
    
    <form action="https://merchant.webmoney.ru/lmi/payment.asp" method="POST" style="margin: 2px;">
      <fieldset>
        <input type=hidden name="LMI_PAYMENT_AMOUNT" value="<?= $goods['wmr']?>">
        <input type=hidden name="LMI_PAYMENT_DESC_BASE64" value="<?= base64_encode(__('Оплата товара') . ' | ' . text($goods['name']))?>">
        <input type=hidden name="LMI_PAYEE_PURSE" value="<?= $system['wmpurse']?>">
        <input type=hidden name="LMI_RESULT_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>&amp;id=<?= $goods['id']?>">
        <input type=hidden name="LMI_FAIL_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>&amp;id=<?= $goods['id']?>&amp;fail">
        <input type=hidden name="LMI_SUCCESS_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>&amp;id=<?= $goods['id']?>&amp;success">
        <input type=hidden name="LMI_ALLOW_SDP" value="4">
        <input type=hidden name="LMI_PAYMENT_NO" value="<?= $pays['id']?>">
        <input type=hidden name="id_goods" value="<?= $goods['id']?>">
        <input type=hidden name="id_user" value="<?= $user['id']?>">
       <button type="submit" class="btn"><?= __('Оплатить')?> <?= $goods['wmr']?> WMR</button>
      </fieldset>
    </form>
    </td>
  </tr>
-->

  <? 
/*Не выключай пока нет, а то люди звонят на мобилу и плачут что оплатить не могут.*/
/*
  if (isset($system['robox_login']) && $system['robox_login']) { 
  
  ?>
  <tr>
   <td style="width: 90px;"><img  src="/_images/images/88x31_robokassa.min.png" height="31" alt="" ></td>
    <td>
    <b>:: <span style="color: blue;">ROBO</span><span style="color: red;">KASSA</span></b><br /><br />
    
    <?= __('Тип операции')?>: <b><?= __('Оплата товара')?></b><br /><br />
    
    <form action="https://auth.robokassa.ru/Merchant/Index.aspx" method="POST" style="margin: 2px;">
      <fieldset>
        <input type="hidden" name="MrchLogin" value="<?= $system['robox_login']?>">
        <input type="hidden" name="OutSum" value="<?= $goods['wmr']?>">
        <input type="hidden" name="InvId" value="<?= $pays['id']?>">
        <input type="hidden" name="Desc" value="<?= text($goods['name'])?>">
        <input type="hidden" name="SignatureValue" value="<?= $robox_sign?>">
        <input type="hidden" name="shp_goods" value="<?= $goods['id']?>">
        <input type="hidden" name="shp_user" value="<?= $user['id']?>">
        <button type="submit" class="btn"><?= __('Оплатить')?> <?= $goods['wmr']?> <?= __('руб.')?></button>
      </fieldset>
    </form>
<font color="red">
В зависимости от способа оплаты, который Вы выберете в сервисе Robokassa, стоимость товара может увеличиться, так как некоторые платежные системы берут дополнительную комиссию.
</font>
    </td>
  </tr>
  
  <?
      
  } */
  
  ?>
  
</table>
</div>
<?  
} else {
?>
  <div class="alert alert-error" style="margin: 2px;">
    <center>
      <img src="<?= ICONS?>big_err.png" /> <?= __('Для того чтобы купить товар, вам необходимо авторизоваться в нашем магазине!')?><br /><br />
      <a href="/?func=user.auth" class="btn"><?= __('Авторизация')?></a>
    </center>
  </div>
<?
}
?>
<div class="foot">
&laquo; <a href="/goods/<?= $goods['id']?>"><?= __('На страницу товара')?></a>
</div>